# $Revision:$, $Date:$
%define         _state          stable
%define         orgname		baloo
%define         qtver           4.8.3

Summary:	A framework for searching and managing metadata
Name:		kde4-baloo
Version:	4.14.3
Release:	3
License:	LGPLv2 or LGPLv3
Group:		X11/Applications
URL:		http://www.kde.org/
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	09575539cf2c76c951a67da00bd5df5b
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	akonadi-devel >= 1.12.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-kdepimlibs-devel >= %{version}
BuildRequires:	kde4-kfilemetadata-devel >= %{version}
BuildRequires:	pkgconfig
BuildRequires:	xapian-core-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A framework for searching and managing metadata.

%package devel
Summary:	Developer files for %{name}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kde4-kfilemetadata-devel >= %{version}

%description devel
Baloo development files and libraries.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
		-DHTML_INSTALL_DIR=%{_kdedocdir} \
		-DKDE_DISTRIBUTION_TEXT="PLD-Linux" \
		-DKDE4_ENABLE_FINAL=OFF \
		../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/akonadi_baloo_indexer
%attr(755,root,root) %{_bindir}/baloo_file
%attr(755,root,root) %{_bindir}/baloo_file_cleaner
%attr(755,root,root) %{_bindir}/baloo_file_extractor
%attr(755,root,root) %{_bindir}/balooctl
%attr(755,root,root) %{_bindir}/baloosearch
%attr(755,root,root) %{_bindir}/balooshow
%attr(755,root,root) %{_libdir}/libbaloocore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbaloocore.so.?
%attr(755,root,root) %{_libdir}/libbaloofiles.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbaloofiles.so.?
%attr(755,root,root) %{_libdir}/libbaloopim.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbaloopim.so.?
%attr(755,root,root) %{_libdir}/libbalooqueryparser.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbalooqueryparser.so.?
%attr(755,root,root) %{_libdir}/libbalooxapian.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbalooxapian.so.?
%attr(755,root,root) %{_libdir}/kde4/akonadi/akonadi_baloo_searchplugin.so
%attr(755,root,root) %{_libdir}/kde4/baloo_*.so
%attr(755,root,root) %{_libdir}/kde4/kcm_baloofile.so
%attr(755,root,root) %{_libdir}/kde4/kio_baloosearch.so
%attr(755,root,root) %{_libdir}/kde4/kio_tags.so
%attr(755,root,root) %{_libdir}/kde4/kio_timeline.so
%attr(755,root,root) %{_libdir}/kde4/krunner_baloosearchrunner.so
%attr(755,root,root) %{_libdir}/kde4/libexec/kde_baloo_filewatch_raiselimit
%{_libdir}/kde4/akonadi/akonadibaloosearchplugin.desktop
%{_datadir}/akonadi/agents/akonadibalooindexingagent.desktop
%{_datadir}/autostart/baloo_file.desktop
%{_datadir}/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
%{_datadir}/dbus-1/system-services/org.kde.baloo.filewatch.service
%{_iconsdir}/hicolor/128x128/apps/baloo.png
%{_datadir}/kde4/services/baloo_*.desktop
%{_datadir}/kde4/services/kcm_baloofile.desktop
%{_datadir}/kde4/services/plasma-runner-baloosearch.desktop
%{_datadir}/kde4/services/tags.protocol
%{_datadir}/kde4/services/timeline.protocol
%{_datadir}/kde4/servicetypes/baloosearchstore.desktop
%{_datadir}/kde4/services/baloosearch.protocol
%{_datadir}/polkit-1/actions/org.kde.baloo.filewatch.policy
/etc/dbus-1/system.d/org.kde.baloo.filewatch.conf

%files devel
%defattr(644,root,root,755)
%{_includedir}/baloo
%attr(755,root,root) %{_libdir}/libbaloocore.so
%attr(755,root,root) %{_libdir}/libbaloofiles.so
%attr(755,root,root) %{_libdir}/libbaloopim.so
%attr(755,root,root) %{_libdir}/libbalooqueryparser.so
%attr(755,root,root) %{_libdir}/libbalooxapian.so
%{_libdir}/cmake/Baloo
%changelog
* Mon Oct 19 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-baloo.git;a=log;h=master

* Mon Oct 19 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ec3c3f6
- release 3 (by relup.sh)

* Sat Apr 04 2015 Jan Rękorajski <baggins@pld-linux.org> 052fe97
- x32 rebuild
- release 2 (by relup.sh)

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> a726324
- updated to 4.14.3 (by update-kde4.sh)

* Thu Oct 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d51f650
- up to 4.14.2

* Sat Oct 11 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 52ff177
- devel R: kde4-kfilemetadata-devel

* Sat Aug 23 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d01742b
- http url

* Thu Aug 14 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a867c0
- up to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6f79980
- updated to 4.13.2 (by update-kde4.sh)

* Fri May 16 2014 Andrzej Zawadzki <zawadaa@pld-linux.org> 6d0c451
- one file

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 64049b9
- updated to 4.13.1 (by update-kde4.sh)

* Wed Apr 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d7ae5cd
- initial

